module WatchDoge
  class WatchDogeGenerator < Rails::Generators::Base
    namespace 'watchdoge'
    argument :secenario


    def create_watchdoge_file
      configuration = WatchDoge.configuration
      empty_directory "#{configuration.cookie_pool}"

      create_file "#{configuration.regression_dir}/scenarios/#{secenario}.rb", <<~DSL
        # use :chrome

        # compare 'some url'
        # compare 'some url', with: 'some'

        # sign_in_as 'resource' do
        #   compare 'some url', with: 'test'
        # end
        #
      DSL

      empty_directory "#{configuration.regression_dir}/reference/#{secenario}"
    end
  end
end
