require "rails"

module WatchDoge
  class WatchDogeTask < Rails::Railtie
    rake_tasks do
      namespace :watchdoge do
        desc "generating reference images"
        task :capture => :environment do
          WatchDoge.initialize!
          WatchDoge::Regression::Manager.run_all_scenarios :capture
        end
        desc "scrap screenshots and compare with reference images"
        task :test => :environment do
          WatchDoge.initialize!
          WatchDoge::Regression::Manager.run_all_scenarios :test
        end
      end
    end
  end
end
